#!/bin/bash
#author:Cristiano Rodrigues Siqueira Soares
#descricao:Altera a data e hora no computador
#Revisao:

user=`whoami`

if [[ $user == "root" ]];then
	echo "╔═══════════════════════════╗"
	echo "║   Digite a data e a hora  ║"
	echo "║ seguindo o formato abaixo ║"
	echo "╚═══════════════════════════╝"
	echo "2024-01-01 (yyyy-mm-dd)"
	read -p "DATA: " data
	echo "12:00:00"
	read -p "HORA: " hora
	echo "╔═════════════════════════╗"
	echo "║ Atualizando data e hora ║"
	echo "╚═════════════════════════╝"
	sleep 3
	timedatectl set-local-rtc 0
	timedatectl set-ntp false
	timedatectl set-ntp 0
	timedatectl set-time "$data $hora"
	if [[ -e /etc/default/ntpdate ]];then
		cat /etc/default/ntpdate
	fi
	echo "══════════════════════════════════"
	date -s "$data $hora"
	echo "══════════════════════════════════"
	sleep 2
	echo "╔══════════════════════════════════╗"
	echo "║ A data e hora foram atualizados. ║"
	echo "║ Nova data e hora no computador.  ║"
	echo "╚══════════════════════════════════╝"
	date
	echo " "
	echo " "
	echo "╔═══════════╗"
	echo "║    FIM    ║"
	echo "╚═══════════╝"
	exit
else
	clear
	echo " "
    echo "╔══════════════════════════════════════════════╗"
    echo "║ Execute este aplicatvo como Root, por favor. ║"
    echo "╚══════════════════════════════════════════════╝"
    exit
fi
